<meta charset="utf-8">
<link href="../../css/templatemo_style.css" rel="stylesheet" type="text/css" />


<?php
session_start();
if (isset($_GET['s'])) {
    $s = $_GET['s'];
    $_SESSION['GROUPOFUSE'] = $s;
}


if ($_SESSION['GROUPOFUSE'] == 10 ) {
    $pagetitle = "Λόχου Διοικήσεως!!!";
    include('../../divs/header.php');
} else {
    require_once('../../login/login_functions.inc.php');
    $url = absolute_url('../../login/login.php');
    header("Location: $url");
    exit();
} ?>


<!--  MENU  -->

<div id="templatemo_menu_wrapper">

    <?php if (isset($_GET['s'])) {
        echo'<div id="templatemo_menu">
        <ul>
           <li><a href="LD.php" class="current"><span></span>Αρχική</a></li>
                
             <li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
 <li><a href="kiniseis.php" target="_parent"><span></span>Κινήσεις</a></li>            
                <li><a href="../dkths/dkths.php?s=6"><span></span>Επιστροφή στη Σελίδα Διοικητή </a></li>
                <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
        
	</div>';
    } else {
        echo'
    <div id="templatemo_menu">
         <ul>
           <li><a href="LD.php" class="current"><span></span>Αρχική</a></li>
                
             <li><a href="enhmerosh.php" target="_parent" ><span></span>Δείτε τις πρόσφατες ανακοινώσεις</a></li>
                <li><a href="anakoinosh.php" target="_parent"><span></span>Αναρτήστε τη δική σας ανακοίνωση</a></li>
 <li><a href="kiniseis.php" target="_parent"><span></span>Κινήσεις</a></li>            
               
                <li><a href="logout.php" target="_parent"><span></span>Logout </a></li>
        </ul>    
      
        
	</div>';} ?>
    </div> <!-- end of templatemo_menu -->

    <div id="templatemo_main"> <span class="tm_bottom"></span>


        <!-- CONTENT -->
        <?php
        
        
         require_once ('../../mysqli_connect.php');
          echo '<p aign="center"><h2>Προσθέστε ένα όχημα!</h2></p>';
    if (isset($_POST['submitted'])) {
$errors=array();
        if (empty($_POST['pin']) or $_POST['pin']=='Επιλέξτε Αριθμό Πινακίδας Οχήματος') {
            $errors[] = "Ξέχασες εισάγεις τον αριθμό πινακίδας του οχήματος!";
        } else {
            $pin = mysqli_real_escape_string($dbc, trim($_POST['pin']));
        }

        if (empty($_POST['date'])) {
            $errors[] = "Ξέχασες εισάγεις την ημερομηνία της κίνησης!";
        } else {
            $date = mysqli_real_escape_string($dbc, trim($_POST['date']));
        }
        if (empty($_POST['sk'])) {
            $errors[] = "Ξέχασες εισάγεις τον σκοπό της κίνησης!";
        } else {
            $sk = mysqli_real_escape_string($dbc, trim($_POST['sk']));
        }
        if (empty($_POST['onod']) or $_POST['onod']=='Επιλέξτε Ον/μο Οδηγού') {
            $errors[] = "Ξέχασες να συμπληρώσεις το ονοματεπώνυμο του οδηγού του οχήματος!";
        } else {
            $onod = mysqli_real_escape_string($dbc, trim($_POST['onod']));
        }
        if (empty($_POST['sino']) or $_POST['sino']=='Επιλέξτε Ον/μο Συνοδηγού') {
            $errors[] = "Ξέχασες να συμπληρώσεις το ονοματεπώνυμο του συνοδηγού του οχήματος!";
        } else {
            $sino = mysqli_real_escape_string($dbc, trim($_POST['sino']));
        }
       
       
        if (empty($errors)){
        require_once ('../../mysqli_connect.php');
        $q3 = "insert into odhghsh values ('$onod','','$pin','$date','$sk','$sino')";
        $r3 = mysqli_query($dbc, $q3);

        if ($r3) {
            echo'Η κίνηση προστέθηκε επιτυχώς!
                    <p><a href="kiniseispr.php">Προσθέστε επιπλέον κίνηση</a></p>
                    <p><a href="kiniseis.php">Επιστροφή στον κατάλογο κινήσεων της Μονάδας</a></p>';
        } else {
            echo '<h1>Πρόβλημα Συστήματος<h1>
<p class="error"> Δεν μπορείτε να προσθέσετε κίνηση λόγω κάποιου τεχνικού προβλήματος.</p>';
            echo '<p>' . mysqli_error($dbc) . '<br/><br/>Query:' . $q . '</p>';
            mysqli_close($dbc);
        }exit();
        }else{
            echo '<h1>Error!</h1>
            <p class="error"> The following error(s) occured:<br/>';
                foreach ($errors as $msg) {
                    echo "-$msg <br/>\n";
                }echo '</p><p>Παρακαλώ προσπαθήστε ξανά!</p><p><br/></p>';
        }
    }
     echo '<form action="kiniseispr.php" method="post">
         <p> Ονοματεπώνυμο Οδηγού:<select name="onod">';
                    echo ' <option>Επιλέξτε Ον/μο Οδηγού</option>';
  require_once ('../../mysqli_connect.php');
                         $g = "select concat(r.rankname,' ',o.oploname,' ',s.surname,' ',s.name) from stelexi s,ranks r,oplo o where s.oploid=o.oploid and r.rankid=s.rankid";
                             $b = mysqli_query($dbc, $g);
                 while ($row8 = mysqli_fetch_array($b, MYSQLI_BOTH)) {
                             echo"<option>" . $row8[0] . "</option>";
                             }
                             echo'</select></p><br/>
                <p>Αριθμός Πινακίδας:<select name="pin" >';
                $s="select pinakid from oxhmata";
                $rs=  mysqli_query($dbc, $s);
                echo'<option>Επιλέξτε Αριθμό Πινακίδας Οχήματος</p>';
                while($row7=  mysqli_fetch_array($rs,MYSQLI_BOTH)){
                    echo'<option>'.$row7[0].'</option>';
                }echo'</select></p><br/>
                    <p> Ημερομηνία Κίνησης:<input type="date" name="date" size="15" maxlength="30" /></p><br/>
                <p>Σκοπός Κίνησης:<input type="text" name="sk" size="100" maxlength="120" /></p><br/>
                <p> Ονοματεπώνυμο Συνοδηγού:<select name="sino">';
                    echo ' <option>Επιλέξτε Ον/μο Συνοδηγού</option>';
                    
                    $g1 = "select concat(r.rankname,' ',o.oploname,' ',s.surname,' ',s.name) from stelexi s,ranks r,oplo o where s.oploid=o.oploid and r.rankid=s.rankid";
                             $b1 = mysqli_query($dbc, $g);
                 while ($row81 = mysqli_fetch_array($b1, MYSQLI_BOTH)) {
                             echo"<option>" . $row81[0] . "</option>";
                             }
                             echo'</select></p><br/>
                
      
                <p><input type="submit" name="submit" value"Υποβολή" /></p>
                <input type ="hidden" name="submitted" value="true"/>
              </form>';
        ?>  


        <!-- SIDEBAR -->



        <div class="cleaner"></div>
    </div> 




    <?php
    include('../../divs/footer.php');
    ?>